Search found 1234 matches

Go to advanced search

by paullee
Tue Feb 19, 2019 9:57 pm
Forum: Python scripting and macros
Topic: adding custom properties to sketch
Replies: 6
Views: 168

Re: adding custom properties to sketch

Hi, I am not sure of your question being a beginner in python :)

Maybe check below link which provides documents available as of this moment.
https://www.freecadweb.org/api/

Maybe someone else can assist.
by paullee
Mon Feb 18, 2019 5:31 am
Forum: Tutorials and videos
Topic: structurized drawing and A2plus WB with tutorial under construction
Replies: 27
Views: 1345

Re: structurized drawing and A2plus WB with tutorial under construction

A little Video. It shows a walk through the huge data structure: https://www.youtube.com/watch?v=ByhuBDHwI6w&feature=youtu.be Regards Walter Thanks for the effort doing this tutorial which is inspiring indeed. After watching the video, i think i need to try A2+ WB indeed :) I haven't used 'native' ...
by paullee
Mon Feb 18, 2019 1:02 am
Forum: Developers corner
Topic: Part Geometry Extensions
Replies: 28
Views: 1227

Re: Part Geometry Extensions

Seem compiled without error on Fedora 29, will see it run and test probably another weekend :)
by paullee
Sun Feb 17, 2019 3:05 pm
Forum: Tutorials and videos
Topic: structurized drawing and A2plus WB with tutorial under construction
Replies: 27
Views: 1345

Re: structurized drawing and A2plus WB with tutorial under construction

Hi, do you think you can produce a sample of files for reference?

That will be helpful in understanding the structure and techniques used :)

Thanks.
by paullee
Sun Feb 17, 2019 12:08 pm
Forum: Open discussion
Topic: Part.Arc and documentation related to three input points.
Replies: 11
Views: 861

Re: Part.Arc and documentation related to three input points.

The first and third point always gives the end points of the arc and the second point defines if the long or if the short arc is used -- it's always that part where the point is lying on. import FreeCAD v=FreeCAD.Base.Vector p1=v(0,0,0) p2=v(1,1,1) p3=v(2,2,4) a1=Part.ArcOfCircle(p1,p2,p3) a2=Part....
by paullee
Sat Feb 16, 2019 7:20 am
Forum: Arch & BIM
Topic: BuildingPart Deletion Operation
Replies: 0
Views: 40

BuildingPart Deletion Operation

Hi, when mistakenly press Delete on a BuildingPart, it ask " The Buidling Part is not Empty, delete its content as well?" Expectation Pressing 'No' delete BuildingPart but not its content - Fine Another button to Cancel the Deletion of BuildingPart itself? - Not currently Pressing 'ESC' would cancel...
by paullee
Sat Feb 16, 2019 7:07 am
Forum: Install / Compile
Topic: Compiling a PR Branch on Fedora 29
Replies: 12
Views: 280

Re: Compiling a PR Branch on Fedora 29

For reference by myself :) or anybody else.

That's what is found successful - I have not much idea what exactly each options means.

Code: Select all

cmake -DFREECAD_USE_EXTERNAL_PIVY=1 -DCMAKE_BUILD_TYPE=Release . &
make -j4
by paullee
Fri Feb 15, 2019 10:41 pm
Forum: Announcements & Features
Topic: SQL Reporting Workbench for FreeCAD
Replies: 27
Views: 1967

Re: SQL Reporting Workbench for FreeCAD

I see :)

Downloaded
FreeCAD_0.18.15823_Conda_Py3Qt5_glibc2.12-x86_64.AppImage

and Reporting WB is there, thanks!
by paullee
Fri Feb 15, 2019 10:12 pm
Forum: Developers corner
Topic: Part Geometry Extensions
Replies: 28
Views: 1227

Re: Part Geometry Extensions

abdullah wrote:
Fri Feb 15, 2019 7:17 pm
I think I have finished the development. It won't be merged before v0.19. If you want to try it you may download the PR below.

PR:
https://github.com/FreeCAD/FreeCAD/pull/1974
Downloaded and will try another 'heroic' compiling for me again :D

Thanks !
by paullee
Fri Feb 15, 2019 10:09 pm
Forum: Developers corner
Topic: Bring branch up to date with master changes.
Replies: 27
Views: 2734

Re: Bring branch up to date with master changes.

For my own use probably :) Downloading a PR branch Compiling a PR Following this page:- https://github.com/TeamPorcupine/Projec ... ll-Request e.g. git fetch upstream pull/1932/head:_geom_python_fixes_ Reference discussion:- https://forum.freecadweb.org/viewtopic.php?f=22&t=32814&start=40#p283438 ht...

Go to advanced search